using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface ISlideRepository : IRepository
    {
        Task<bool> ExistsAsync(int id);

        Task<IEnumerable<Slide>> GetListAsync();

        Task<Slide> GetAsync(int id);

        /// <summary>
        /// ����
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<Slide> AddAsync(Slide request);

        Task<Slide> EditAsync(Slide request);

        Task<bool> DeleteAsync(int id);
    }
}